import type { Ref } from 'vue';
import { computed } from 'vue';
import type { TimeEnum } from '../types';
import { timeEnumMapCount } from '../types';

export const getComputedTime = (formValue: Ref<any>, timeProp: string, toType: Ref<TimeEnum>) => {
	const displayTimeData = computed({
		get: () => {
			return formValue.value?.[timeProp] && Number((formValue.value[timeProp] / timeEnumMapCount[toType.value]).toFixed(4));
		},
		set: (value) => {
			formValue.value[timeProp] = value && Number((value * timeEnumMapCount[toType.value]).toFixed(4));
		},
	});

    return displayTimeData
};


